NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Properties | List of all members
NXOpen.CAM.TurnConcaveCornerControl Class Reference

Represents a concave corner ja More...

Inheritance diagram for NXOpen.CAM.TurnConcaveCornerControl:
NXOpen.TaggedObject NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  RadiusOptions { Specify, ToolRadius, AddToToolRadius }
 the Concave Corner Control radius options More...
 
enum  Types { ExtendTangents, Round }
 the Concave Corner Control types More...
 

Properties

unsafe double Radius [get, set]
 Returns or sets the Concave Corner Control radius More...
 
unsafe
NXOpen.CAM.TurnConcaveCornerControl.RadiusOptions 
RadiusOption [get, set]
 Returns or sets the Concave Corner Control radius option More...
 
unsafe
NXOpen.CAM.TurnConcaveCornerControl.Types 
Type [get, set]
 Returns or sets the Concave Corner Control type More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a concave corner ja

Created in NX6.0.2

Member Enumeration Documentation

the Concave Corner Control radius options

Enumerator
Specify 

Concave Corner Control radius option is Specify.

ToolRadius 

Concave Corner Control radius option is Tool Radius.

AddToToolRadius 

Concave Corner Control radius option is Add to Tool Radius.

the Concave Corner Control types

Enumerator
ExtendTangents 

Concave Corner Control Type is Extend.

Round 

Concave Corner Control Type is Round.

Property Documentation

unsafe double NXOpen.CAM.TurnConcaveCornerControl.Radius
getset

Returns or sets the Concave Corner Control radius

Created in NX6.0.2

License requirements to get this property: None.

License requirements to set this property: cam_base ("CAM BASE")

unsafe NXOpen.CAM.TurnConcaveCornerControl.RadiusOptions NXOpen.CAM.TurnConcaveCornerControl.RadiusOption
getset

Returns or sets the Concave Corner Control radius option

Created in NX6.0.2

License requirements to get this property: None.

License requirements to set this property: cam_base ("CAM BASE")

unsafe NXOpen.CAM.TurnConcaveCornerControl.Types NXOpen.CAM.TurnConcaveCornerControl.Type
getset

Returns or sets the Concave Corner Control type

Created in NX6.0.2

License requirements to get this property: None.

License requirements to set this property: cam_base ("CAM BASE")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.